Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1164348 (qca) - Review Request: qca - Qt Cryptographic Architecture
Summary: Review Request: qca - Qt Cryptographic Architecture
Keywords:
Status: CLOSED RAWHIDE
Alias: qca
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1161767 (view as bug list)
Depends On:
Blocks: qt-reviews 512000
TreeView+ depends on / blocked
 
Reported: 2014-11-14 18:05 UTC by Rex Dieter
Modified: 2014-12-01 19:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 15:54:19 UTC
helio: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-11-14 18:05:42 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/qca/qca.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/qca/qca-2.1.0-1.fc20.src.rpm
Description: Qt Cryptographic Architecture
Fedora Account System Username: rdieter

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=8143408

Comment 1 Rex Dieter 2014-11-14 18:06:43 UTC
This is a update and rename of existing qca2 package

Comment 2 Rex Dieter 2014-11-14 18:07:12 UTC
*** Bug 1161767 has been marked as a duplicate of this bug. ***

Comment 3 Rex Dieter 2014-11-14 18:18:11 UTC
Fyi, qca can now support Qt5 too, but I chose to not include that yet, in order to keep the review simpler.

Comment 4 Ivan Romanov 2014-11-14 18:22:08 UTC
Please add documentation and botan plugins subpackages.
Use make doc to build documentation. Seems I didn't do install target for docs. So I must be copied to installation folder.

Comment 5 Rex Dieter 2014-11-14 18:48:36 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/qca/qca.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/qca/qca-2.1.0-2.fc20.src.rpm

%changelog
* Fri Nov 14 2014 Rex Dieter <rdieter@fedoraproject.org> 2.1.0-2
- -botan, -doc subpkgs, and READMEs to plugin subpkgs

Comment 6 Ivan Romanov 2014-11-14 18:52:15 UTC
#The following tests FAILED:
#          8 - FileWatch (Failed) 
How I can reproduce this?

Comment 7 Ivan Romanov 2014-11-14 19:16:41 UTC
Maybe should use %{_docdir} instead of %{_qt4_docdir}? Or there are reasons to use %{_qt4_docdir}?

Comment 8 Rex Dieter 2014-11-14 19:51:47 UTC
Considering we will likely be adding qt5 support in the near future, using a Qt agnostic dir makes sense.  I'll switch that in the next pkg iteration (but won't update the review *just* for that.

As far as the failed test, good question, maybe the mock/koji environment is different somehow.  You should be able to reproduce it in mock yourself, then run 'mock shell' to entire into the buildroot for more investigation if needed.

Comment 9 Ivan Romanov 2014-11-14 23:28:25 UTC
Need to gnupg to BR. It is used in tests.

Comment 10 Ivan Romanov 2014-11-14 23:37:13 UTC
I rebuild qca for F21 x68_64 in mock. But can't reproduce FileWatcher failing unittest

Comment 11 Ivan Romanov 2014-11-15 20:14:35 UTC
$ rpm -qpl /home/taurus/rpmbuild/RPMS/x86_64/qca-2.1.0-2.fc20.R.x86_64.rpm
/usr/bin/mozcerts
/usr/bin/qcatool
/usr/lib64/libqca.so.2
/usr/lib64/libqca.so.2.1.0

It is bad idea to mix library and executable files. In this case I can't install on my system both qca.x86_64 and qca.i686 pacakges. Also mozcerts and qcatool not need for regular users. So this files should be moved to separate subpackes qca-tools for example or something like.

Comment 12 Ivan Romanov 2014-11-15 20:16:55 UTC
I wonder is it OK that package doesn't provide libqca-2.1.so ?

Comment 13 Rex Dieter 2014-11-15 22:34:39 UTC
Re: comment #11
binaries should be ok, rpm uses binary coloring to prefer native binaries in this context.

Not sure what you mean by comment #12 , the library soname is libqca.so.2 (not libqca-2-1.so)

Comment 14 Ivan Romanov 2014-11-15 22:48:00 UTC
[root@lix lib64]# ll libQtCore.so.*
lrwxrwxrwx. 1 root root      18 Nov 14 02:14 libQtCore.so.4 -> libQtCore.so.4.8.6
lrwxrwxrwx. 1 root root      18 Nov 14 02:14 libQtCore.so.4.8 -> libQtCore.so.4.8.6
-rwxr-xr-x  1 root root 3108864 Jul 24 00:32 libQtCore.so.4.8.6
[root@lix lib64]# ll libqca.so.*
lrwxrwxrwx. 1 root root      15 Nov 14 02:15 libqca.so.2 -> libqca.so.2.0.3
lrwxrwxrwx. 1 root root      15 Nov 14 02:15 libqca.so.2.0 -> libqca.so.2.0.3
-rwxr-xr-x  1 root root 1154456 Aug  4  2013 libqca.so.2.0.3

In new qca no libqca.so.2.1 . There are only libqca.so.2 and libqca.so.2.1.0.

Comment 15 Ivan Romanov 2014-11-15 23:24:27 UTC
(In reply to Rex Dieter from comment #13)
> Re: comment #11
> binaries should be ok, rpm uses binary coloring to prefer native binaries in
> this context.
Yes. I checked it. No any problems. I installed both qca.i686 and qca.x86_64
# rpm -qa | grep qca
qca-devel-2.1.0-2.fc20.i686
qca-2.1.0-2.fc20.x86_64
qca-ossl-2.1.0-2.fc20.x86_64
qca-devel-2.1.0-2.fc20.x86_64
qca-gnupg-2.1.0-2.fc20.x86_64
qca-2.1.0-2.fc20.i686

Comment 16 Helio Chissini de Castro 2014-11-26 18:14:41 UTC
Package is fine. About time to normalize names.

APPROVED

Comment 17 Rex Dieter 2014-12-01 12:55:18 UTC
New Package SCM Request
=======================
Package Name: qca
Short Description: Qt Cryptographic Architecture
Upstream URL:  http://delta.affinix.com/qca
Owners: rdieter, slankes
Branches: f21,f20
InitialCC:

Comment 18 Rex Dieter 2014-12-01 12:55:51 UTC
New Package SCM Request
=======================
Package Name: qca
Short Description: Qt Cryptographic Architecture
Upstream URL:  http://delta.affinix.com/qca
Owners: rdieter slankes
Branches: f21 f20
InitialCC:

Comment 19 Rex Dieter 2014-12-01 13:02:42 UTC
Forgot, the package exists, but is retired and just needs some new branches.

Package Change Request
======================
Package Name: qca
New Branches: f21 f20
Owners: rdieter slankes

Comment 20 Gwyn Ciesla 2014-12-01 13:35:48 UTC
Git done (by process-git-requests).

Comment 21 Rex Dieter 2014-12-01 15:54:19 UTC
Imported, thanks.

Comment 22 Rex Dieter 2014-12-01 16:21:31 UTC
Boo, Qt5 build uses the same library soname and pkgconfig file names, so not parallel-installable with Qt4 versions.

Ivan, would you accept a patch to rename those to include a -qt5 suffix (when building against Qt5)?

Comment 23 Rex Dieter 2014-12-01 16:24:59 UTC
And cmake files too.

Comment 24 Rex Dieter 2014-12-01 18:39:50 UTC
Looks like I might be able to set QCA_SUFFIX=qt5 for this purpose, but I'd argue this should be set automatically in a standard way, else we risk API/ABI-incompatible implementations for different distros choosing different values for QCA_SUFFIX.

Comment 25 Rex Dieter 2014-12-01 19:06:48 UTC
cmake files didn't use QCA_SUFFIX (yet), here's the patch I'm using currently,
http://pkgs.fedoraproject.org/cgit/qca.git/tree/qca-2.1.0-cmake_QCA_SUFFIX.patch

Comment 26 Ivan Romanov 2014-12-01 19:57:54 UTC
> but I'd argue this should be set automatically in a standard way

You are not alone :( https://git.reviewboard.kde.org/r/121168/

In really you must use two patches for Qt5 coinstalled version. 
http://quickgit.kde.org/?p=qca.git&a=commit&h=9a9c16dfd1affc92962acd92e4a5246830ccbc04
http://quickgit.kde.org/?p=qca.git&a=commit&h=66447d0454591f4c1deb5f4c988c6027194b1335

Anyway this all out of scope. Please make separate bugreport if you need/want.


Note You need to log in before you can comment on or make changes to this bug.